import React, {Component} from 'react';
import {
    View,
    Text, ScrollView, StatusBar,
} from 'react-native';
import Bugly from "../../utils/Bugly";

class About extends Component {
    constructor(props){
        super(props);
        this.state = {
            version:''
        }
    }
    componentDidMount() {
        Bugly.getVersion((ver)=>{
            this.setState({
                version:ver
            })
        });
    }
    render(){
        return (
            <View style={{flex: 1,backgroundColor:'#fff'}}>
                <StatusBar backgroundColor={'#fff'} barStyle='dark-content'/>
                <ScrollView style={{padding: 15}}>
                    <Text style={{textAlign:'center',fontSize: 16,color:'#333'}}>版本号：{this.state.version}</Text>
                    <Text style={{fontSize: 15}}>
                    郑州燎原计算机技术有限公司（zzliaoyuan.com）成立于2014年12月30日，专注于企业运营软件定制和汽车后市场“互联网+”基础软件开发。公司创始团队汇集了汽车行业10多年高级管理专家、10多年软件开发经验技术专家。技术开发团队集合了BS，CS及移动客户端开发等多方面的优秀人才。整合原有的行业管理软件，打通企业的各种数据，以大数据为基础，结合手机APP和微信营销，打造传统桌面软件、互联网与移动互联网的融合平台。公司成立之初就确定了明确的战略规划和方向：
                    </Text>
                    <Text style={{fontSize: 15}}>
                    1. 深度助力大、中、小型企业经营，满足各个企业个性化软件定制需求让企业用的起好软件，通过个性化定制让企业的经营思路快速展开并规模化复制，摆脱对国外软件不服水土价格超高的依赖和局限性。{'\n'}
                    2. 推出行业专业产品，举软件行业燎原之火、把团队多年的行业经验整合成相关行业应用软件批量推向市场，从而助推中小企业单店快速成长和规模性扩张。{'\n'}
                    经过近两年的开发，公司已相继开发出了针对汽车行业的汽车销售管理系统、汽车售后管理系统、售后平板接车系统、潜客跟踪APP手机版、汽车行业微官网、微信会员系统、汽车用品批零管理系统等软件产品。涉及到了汽车后市场行业的销售、售后、周边服务以及O2O等业务。帮助汽车市场的相关企业提升规范化和规模化。{'\n'}
                    经过短时间的运营，我们已经相继服务了宝马、凯迪拉克、本田、雷诺、海马、吉利、起亚、日产等品牌近百家4S店，服务省份包括广东、河南、陕西、山西、江西、北京、江苏、重庆、浙江、安徽、山东等。{'\n'}
                    只要您想到的，我们都可以尽力给您实现，不管您的企业所属各行各业、不管企业的的初始规模如何，不管企业的员工有多少，不管是单店还是连锁加盟，不管同城还是异地，只要您心有所想，我们负责替您管控全局，把您的智慧融入管理软件，把您的市场做到五湖四海，来吧牵手燎原共举燎原之火，让我们一起分享成功的喜悦！
                    </Text>
                    <Text style={{fontSize: 15}}>
                    接下来，企业发展将进入快车道。做中国最专业的汽车后市场基础服务定制提供商是我们的目标，始终为用户提供最佳产品需求是驱使我们不断进步的原动力。
                    </Text>
                    <View style={{height: 30}}/>
                </ScrollView>
            </View>
        )
    }
}
export default About
